var system = require("../../../system");
var settings = require("../../../../config/settings");
const AppServiceBase = require("../../app.base");
const uuidv4 = require('uuid/v4');
const logCtl = system.getObject("service.common.oplogSve");
//商标查询操作
class UtilsNeedSve extends AppServiceBase {
  constructor() {
    super();
    this.execlient = system.getObject("util.execClient");
    this.channelApiUrl = settings.channelApiUrl();
    this.appInfo = {
      aliyuntmtransfer: { appkey: settings.appKey, secret: settings.secret }
    };
  }


  async getToken() {
    var self = this;
    var reqTokenUrl = this.channelApiUrl + "/auth/accessAuth/getToken";
    var reqParam = self.appInfo["aliyuntmtransfer"];
    if (!reqParam.appkey || !reqParam.secret) {
      return system.getResult(null, "reqType类型有误，请求失败");
    }
    var rtn = await this.execlient.execPost(reqParam, reqTokenUrl);
    if (!rtn.stdout) {
      return system.getResult(null, "获取token失败");
    }
    var tokenResult = JSON.parse(rtn.stdout);
    if (tokenResult.status == 0) {
      tokenResult.data.secret = reqParam.secret;
    }
    return tokenResult;
  }

  getUUID() {
    var uuid = uuidv4();
    var u = uuid.replace(/\-/g, "");
    return u;
  }

  async reqcenterchannel(pobj) {
    var sobj = {
      "actionProcess": "ali",
      "actionType": pobj.action_type,
      "isUser": "yes",
      "actionBody": pobj
    }
    var tokenInfo = await this.getToken();
    var url = settings.centerChannelUrl() + "web/opreceive/need/springBoard";
    var rtn = await this.execlient.execPostTK(sobj, url, tokenInfo.data.token);
    var self=this;
    return {
      "requestId": self.getUUID(),
      "success": true,
      "errorMsg": "",
      "errorCode": "ok"
    };
  }

}
module.exports = UtilsNeedSve;
